Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1177382

Summary: [abrt] flumotion: feedserver.py:64:listen:AttributeError: 'EPollReactor' object has no attribute 'listenWith'
Product: [Fedora] Fedora Reporter: Sylvain Arth <sylvain>
Component: flumotionAssignee: Thomas Vander Stichele <thomas>
Status: CLOSED EOL QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 21CC: lkundrak, sergio, sylvain, thomas
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
URL: https://retrace.fedoraproject.org/faf/reports/bthash/9876c4d2b0d7b7bb86f41548e82ffb1d9c2ddbc0
Whiteboard: abrt_hash:7cc04f5974c30b05ba4cb666ee7de1a4e8422db2
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-12-02 06:30:20 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Attachments:
Description Flags
File: backtrace
none
File: environ none

Description Sylvain Arth 2014-12-26 20:06:31 UTC
Version-Release number of selected component:
flumotion-0.10.0-9.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python /usr/bin/flumotion-worker -D --daemonize-to /var/cache/flumotion --service-name default /etc/flumotion/workers/default.xml
executable:     /usr/bin/flumotion-worker
kernel:         3.17.6-300.fc21.i686
runlevel:       N 5
type:           Python
uid:            444

Truncated backtrace:
feedserver.py:64:listen:AttributeError: 'EPollReactor' object has no attribute 'listenWith'

Traceback (most recent call last):
  File "/usr/bin/flumotion-worker", line 43, in <module>
    boot.boot(PROGRAM_PATH, gtk=False, gst=False, installReactor=False)
  File "/usr/lib/flumotion/python/flumotion/common/boot.py", line 305, in boot
    sys.exit(wrapped(sys.argv))
  File "/usr/lib/flumotion/python/flumotion/worker/main.py", line 229, in main
    if not brain.listen():
  File "/usr/lib/flumotion/python/flumotion/worker/worker.py", line 143, in listen
    self.feedServer = self._makeFeedServer()
  File "/usr/lib/flumotion/python/flumotion/worker/worker.py", line 176, in _makeFeedServer
    return feedserver.FeedServer(self, ProxyBouncer(self), port)
  File "/usr/lib/flumotion/python/flumotion/worker/feedserver.py", line 51, in __init__
    self.listen(bouncer, portNum)
  File "/usr/lib/flumotion/python/flumotion/worker/feedserver.py", line 64, in listen
    tport = reactor.listenWith(fdserver.PassableServerPort, portNum,
AttributeError: 'EPollReactor' object has no attribute 'listenWith'

Local variables in innermost frame:
portNum: 8639
self: <flumotion.worker.feedserver.FeedServer instance at 0xb6f3df2c>
bouncer: <flumotion.worker.worker.ProxyBouncer instance at 0xb6f3decc>
factory: <twisted.spread.pb.PBServerFactory instance at 0xb6f3df0c>
portal: <flumotion.twisted.portal.BouncerPortal instance at 0xb6f3df4c>
unsafeTracebacks: 0

Comment 1 Sylvain Arth 2014-12-26 20:06:35 UTC
Created attachment 973298 [details]
File: backtrace

Comment 2 Sylvain Arth 2014-12-26 20:06:36 UTC
Created attachment 973299 [details]
File: environ

Comment 3 Fedora Update System 2015-05-10 17:45:44 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc22

Comment 4 Fedora Update System 2015-05-10 17:46:34 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc21

Comment 5 Fedora Update System 2015-05-10 17:47:26 UTC
flumotion-0.11.0.1-2.20140103git886031a.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/flumotion-0.11.0.1-2.20140103git886031a.fc20

Comment 6 Fedora Update System 2015-05-12 20:37:48 UTC
Package flumotion-0.11.0.1-2.20140103git886031a.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing flumotion-0.11.0.1-2.20140103git886031a.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8019/flumotion-0.11.0.1-2.20140103git886031a.fc21
then log in and leave karma (feedback).

Comment 7 Fedora End Of Life 2015-11-04 16:02:30 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-12-02 06:30:24 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.